cascading.flow.hadoop

## Class FlowReducer

- java.lang.Object
- - org.apache.hadoop.mapred.MapReduceBase
  - - cascading.flow.hadoop.FlowReducer

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, JobConfigurable, Reducer

    public class FlowReducer
    extends MapReduceBase
    implements Reducer

Class FlowReducer is the Hadoop Reducer implementation.

### Constructor Summary

Constructors
Constructor and Description
`FlowReducer()` Constructor FlowReducer creates a new FlowReducer instance.

### Method Summary

Methods
`void` `close()`
`void` `configure(JobConf jobConf)`
`void` `reduce(java.lang.Object key, java.util.Iterator values, OutputCollector output, Reporter reporter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlowReducer

    public FlowReducer()

Constructor FlowReducer creates a new FlowReducer instance.

### Method Detail

#### configure

    public void configure(JobConf jobConf)

Specified by:
  `configure` in interface `JobConfigurable`
Overrides:
  `configure` in class `MapReduceBase`

#### reduce

    public void reduce(java.lang.Object key,
              java.util.Iterator values,
              OutputCollector output,
              Reporter reporter)
                throws java.io.IOException

Specified by:
  `reduce` in interface `Reducer`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `MapReduceBase`
Throws:
  `java.io.IOException`